<script setup>
import Header from '../components/Header.vue';
import AllPostsWithJWT from '../components/AllPostsWithJWT.vue';
import { useUsersStore } from '../stores/usersStore';
import { computed, ref, onMounted } from 'vue';

const usersStore = useUsersStore();
const users = computed(() => usersStore.getUsers);
const message = ref("");
console.log(users)

onMounted(() => {
    const token = sessionStorage.token;

    if (token == null) {

        message.value = "Pour voir les articles il vous faut un jeton que vous obtenez en vous connectant, cliquez ici !"

    } else {

        usersStore.fetchUsers().catch(error => message.value = "Ca bug")
    }

});

</script>

<template>
    <Header />
    <h1>Utilisateurs</h1>
    <p> {{ message }} </p>
    <div class="users">
        <div v-for="(user) in users" class="user">
            <router-link :to="{ name: 'Users', params: { id: user.id } }">
                <h2> {{ user.username }} </h2>
            </router-link>
        </div>
    </div>
    <AllPostsWithJWT />
</template>

<style lang="scss">
h1 {
    text-align: center;
}

.users {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    width: 100%;

    .user {
        text-align: center;
        border: solid .5px grey;
        background-color: #f6f6f6;

        a {
            text-decoration: none;
            color: black;

            &:visited {
                color: black;
            }
        }

        h2 {
            background-color: white;
            margin: 0;
            padding: 10px;
        }
    }
}
</style>